<?php
namespace app\admin\controller;

use app\admin\controller\Common;

/**
 * 管理员公共基础控制器
 */
class Base extends Common {
    /**
     * 构造方法
     */
    public function __construct()  {
        // 调用父类前置方法
        parent::__construct();

        // 登录校验
        $this->IsLogin();

        // 权限校验
        $this->IsPower();

        // 动态表格初始化
        $this->FormTableInit();
    }
}
?>